import numpy as np
from scipy.stats import ttest_ind
import sys


# Vamos a generar los datos, de dos
# gausianas
n = len( sys.argv )
if n != 5 :
	print("Args: m1 devstd1 m2 devstd2")
	sys.exit(1)

m1 = float( sys.argv[1] )
std1 = float( sys.argv[2] )
m2 = float( sys.argv[3] )
std2 = float( sys.argv[4] )

vdatos1 = np.random.normal(loc=m1, scale=std1, size=30)
vdatos2 = np.random.normal(loc=m2, scale=std2, size=30)
print( vdatos1.shape )

# Hacemos la prueba estádística

t, p = ttest_ind( vdatos1, vdatos2, equal_var=False, alternative='two-sided' )

# Si la hipotesis alternatica es que son iguales

# La hipótesis nula es que son iguales
print( p )
if p >= 0.05 :
	print( "Las medias son iguales" )
else:
	print( "Las medias no son iguales" )

