import numpy as np
from scipy.stats import wilcoxon
import sys


# Vamos a generar los datos, de dos
# gausianas
n = len( sys.argv )
if n != 5 :
	print("Args: m1 devstd1 m2 devstd2")
	sys.exit(1)

m1 = float( sys.argv[1] )
std1 = float( sys.argv[2] )
m2 = float( sys.argv[3] )
std2 = float( sys.argv[4] )

vdatos1 = np.random.normal(loc=m1, scale=std1, size=30)
vdatos2 = np.random.normal(loc=m2, scale=std2, size=30)
# print( vdatos1 )
# print( vdatos2 )

# Hacemos la prueba estádística
# estamos suponiendo que "mejor" es "menor", o que
# estamos resolviendo un problema de minimización.

t, p = wilcoxon( vdatos1, vdatos2, correction=True, alternative="two-sided" )
# La hipótesis nula es que son iguales
print( p )
if p >= 0.05 :
	print( "Las soluciones son iguales" )
else :
	# A > B
	t, p = wilcoxon( vdatos1, vdatos2, correction=True, alternative="less" )
	if p >= 0.05 :
		print( "Las soluciones B es mejor" )
	else :
		# A < B
		t, p = wilcoxon( vdatos1, vdatos2, correction=True, alternative="greater" )
		if p >= 0.05 :
			print( "Las solucion A es mejor" )
		else :
			print( "No debería pasar" )


